SELECT
    CUSTOMER_LIST_ID customerListId,
    COMPANY_SITE_ID companySiteId,
    CUSTOMER_LIST_CODE customerListCode,
    CUSTOMER_LIST_NAME customerListName,
    STATUS status,
    CREATE_BY createBy,
    CREATE_AT createAt,
    UPDATE_BY updateBy,
    UPDATE_AT updateAt,
    SOURCE source,
    DEPT_CREATE deptCreate
FROM CUSTOMER_LIST
WHERE 1 = 1
  AND CREATE_AT BETWEEN to_date(:p_date_from, 'YYYYMMDD') AND to_date(:p_date_to, 'YYYYMMDD')
  AND COMPANY_SITE_ID = :p_company_site_id
